Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Files

5 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/files

List all Files

Returns a list of Files. The Files are sorted with the most recently created appearing first.

Query parameters

  • purposesarray of string (logo | icon | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | bank_verification)optional

    A list of file purposes to filter on.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of Filerequired

POST/v1/files

Create a File

Creates a File.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body multipart/form-datarequired

  • filestring binaryrequired

    A file to upload. The file should follow the specifications of RFC 2388 (which defines file transfers for the multipart/form-data protocol).

  • purposestring (logo | icon | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | bank_verification)required

    The file purpose.

  • titlestringoptional

    The user friendly file title.

Responses

201File

  • created_atstring date-timerequired

    Time at which the object was created.

  • expires_atstring date-timeoptional

    Time at which the file should no longer be accessible.

  • filenamestringrequired

    The filename.

  • idstringrequired

    Unique identifier for the object.

  • purposestring (logo | icon | terms | report | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | …)required

    The file purpose.

  • sizenumberrequired

    The file size.

  • titlestringoptional

    The user friendly title.

  • typestring (png | jpg | pdf | csv | tiff | ico | xlsx | xls | …)required

    The file type.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • urlstringoptional

    The URL for the file.

DELETE/v1/files/{id}

Delete a File

Deletes a File. This cannot be undone.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

204object

GET/v1/files/{id}

Get a File

Retrieves the details of an existing File.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200File

  • created_atstring date-timerequired

    Time at which the object was created.

  • expires_atstring date-timeoptional

    Time at which the file should no longer be accessible.

  • filenamestringrequired

    The filename.

  • idstringrequired

    Unique identifier for the object.

  • purposestring (logo | icon | terms | report | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | …)required

    The file purpose.

  • sizenumberrequired

    The file size.

  • titlestringoptional

    The user friendly title.

  • typestring (png | jpg | pdf | csv | tiff | ico | xlsx | xls | …)required

    The file type.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • urlstringoptional

    The URL for the file.

GET/v1/files/{id}/contents

Get the Contents of a File

Gets the contents of a File.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200string binary